package fi.em.formPlugin;

import kd.bos.entity.botp.plugin.AbstractConvertPlugIn;
import kd.bos.entity.botp.plugin.args.BeforeBuildRowConditionEventArgs;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

public class BusinessProcessingConvertPlugIn extends AbstractConvertPlugIn implements Plugin {
    @Override
    public void beforeBuildRowCondition(BeforeBuildRowConditionEventArgs e) {
        //获取页面插件传递过来的操作参数
        String bdsupplier = this.getOption().getVariableValue("bdsupplier");
        String orgnumber = this.getOption().getVariableValue("orgnumber");
        String type = this.getOption().getVariableValue("type");//1
        if("drawyfgz".equals(type)){
            QFilter numberQFilter = new QFilter("ap_finapbill.org.number", QCP.equals, orgnumber);
            numberQFilter.and("ap_finapbill.asstact.id", QCP.equals, Long.valueOf(bdsupplier));
            e.getCustQFilters().add(numberQFilter);
        }else if("drawysgz".equals(type)){
            QFilter numberQFilter = new QFilter("ar_finarbill.org.number", QCP.equals, orgnumber);
            numberQFilter.and("ar_finarbill.asstact.id", QCP.equals, Long.valueOf(bdsupplier));
            e.getCustQFilters().add(numberQFilter);
        }else if("drawzlht".equals(type)){
            QFilter numberQFilter = new QFilter("fa_lease_contract.org.number", QCP.equals, orgnumber);
            numberQFilter.and("fa_lease_contract.leaser.number", QCP.equals, bdsupplier);
            e.getCustQFilters().add(numberQFilter);
        }
        super.beforeBuildRowCondition(e);
    }
}
